From 2307844a4987d33f53abe487fcd5a3101d56cbe8 Mon Sep 17 00:00:00 2001
From: Bob Mottram <bob@robotics.uk.to>
Date: Wed, 27 Jul 2016 19:13:07 +0100
Subject: [PATCH] Install tomb

---
 src/freedombone-utils-filesystem | 66 ++++++++++++++++++++++++++++++++
 src/freedombone-utils-setup      |  3 ++
 2 files changed, 69 insertions(+)
 create mode 100755 src/freedombone-utils-filesystem

diff --git a/src/freedombone-utils-filesystem b/src/freedombone-utils-filesystem
new file mode 100755
index 000000000..31277be39
--- /dev/null
+++ b/src/freedombone-utils-filesystem
@@ -0,0 +1,66 @@
+#!/bin/bash
+#
+# .---.                  .              .
+# |                      |              |
+# |--- .--. .-.  .-.  .-.|  .-. .--.--. |.-.  .-. .--.  .-.
+# |    |   (.-' (.-' (   | (   )|  |  | |   )(   )|  | (.-'
+# '    '     --'  --'  -' -  -' '  '   -' -'   -' '   -  --'
+#
+#                    Freedom in the Cloud
+#
+# Filesystem encryption, etc
+#
+# License
+# =======
+#
+# Copyright (C) 2014-2016 Bob Mottram <bob@robotics.uk.to>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+TOMB_REPO="https://github.com/dyne/Tomb"
+TOMB_COMMIT='c80ebd6d6ed77980eb5b559757e03ea13a29bdd1'
+
+function install_tomb {
+	function_check set_repo_commit
+	set_repo_commit $INSTALL_DIR/tomb "Tomb commit" "$TOMB_COMMIT" $TOMB_REPO
+
+	if [ -f $COMPLETION_FILE ]; then
+		if grep -Fxq "install_tomb" $COMPLETION_FILE; then
+			return
+		fi
+	fi
+
+	apt-get -y install cryptsetup zsh
+
+	if [ ! -d $INSTALL_DIR ]; then
+		mkdir -p $INSTALL_DIR
+	fi
+	cd $INSTALL_DIR
+
+	git_clone $TOMB_REPO tomb
+	cd $INSTALL_DIR/tomb
+
+	git checkout $TOMB_COMMIT -b $TOMB_COMMIT
+	if ! grep -q "Tomb commit" $COMPLETION_FILE; then
+		echo "Tomb commit:$TOMB_COMMIT" >> $COMPLETION_FILE
+	else
+		sed -i "s/Tomb commit.*/Tomb commit:$TOMB_COMMIT/g" $COMPLETION_FILE
+	fi
+
+	make install
+
+	echo 'install_tomb' >> $COMPLETION_FILE
+}
+
+# NOTE: deliberately no exit 0
diff --git a/src/freedombone-utils-setup b/src/freedombone-utils-setup
index 632e4954b..2b5db6fe9 100755
--- a/src/freedombone-utils-setup
+++ b/src/freedombone-utils-setup
@@ -407,6 +407,9 @@ function setup_utils {
 
 	function_check upgrade_golang
 	upgrade_golang
+
+	function_check install_tomb
+	install_tomb
 }
 
 function setup_email {
-- 
GitLab